### Hierarchy

- Media

## Index

### Constructors

- constructor

### Accessors

- Array

### Methods

- addMedia
- getMedia
- addImage

## Constructors

### constructor

- new Media(): Media

- - Defined in file/media/media.ts:32

  #### Returns Media

## Accessors

### Array

- get Array(): IMediaData[]

- - Defined in file/media/media.ts:90

  #### Returns IMediaData[]

## Methods

### addMedia

- addMedia(buffer: Buffer | string | Uint8Array | ArrayBuffer, width?: number, height?: number): IMediaData

- - Defined in file/media/media.ts:48

  #### Parameters

  - ##### buffer: Buffer | string | Uint8Array | ArrayBuffer

  - ##### Default value width: number = 100

  - ##### Default value height: number = 100

  #### Returns IMediaData

### getMedia

- getMedia(key: string): IMediaData

- - Defined in file/media/media.ts:38

  #### Parameters

  - ##### key: string

  #### Returns IMediaData

### Static addImage

- addImage(file: File, buffer: Buffer | string | Uint8Array | ArrayBuffer, width?: undefined | number, height?: undefined | number, drawingOptions?: IDrawingOptions): Image

- - Defined in file/media/media.ts:8

  #### Parameters

  - ##### file: File

  - ##### buffer: Buffer | string | Uint8Array | ArrayBuffer

  - ##### Optional width: undefined | number

  - ##### Optional height: undefined | number

  - ##### Optional drawingOptions: IDrawingOptions

  #### Returns Image

Generated using TypeDoc